# Report Wkhtmltopdf Param

This module allows you to add new parameters for a paper format which are then forwarded to wkhtmltopdf command as arguments. To display the arguments that wkhtmltopdf accepts go to your command line and type ‘wkhtmltopdf -H’.

A commonly used parameter in Odoo is –disable-smart-shrinking, that will disable the automatic resizing of the PDF when converting. This is important when you intend to have a layout that conforms to certain alignment. It is very common whenever you need to conform the PDF to a predefined layoyut (e.g. checks, official forms,…).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

1. Go to Settings and press ‘Activate the developer mode (with assets)’
2. Go to Settings - Technical - Reports - Paper Format
3. Add additional parameters indicating the command argument name (remember to add prefix – or -) and value.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Avoin.Systems
- Eficent

## Contributors

- Miku Laitinen <miku@avoin.systems>
- Jordi Ballester <jordi.ballester@eficent.com>
- Saran Lim. <saranl@ecosoft.co.th>
- Foram Shah <foramshah@initos.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.